<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{82CD8E13-3297-472B-8C59-C4A50A69CB5C}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>AyaNovaQBI</RootNamespace>
    <AssemblyName>AyaNovaQBI</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Interop.QBFC15, Version=15.0.0.1, Culture=neutral, PublicKeyToken=31d8aec643e18259, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <EmbedInteropTypes>True</EmbedInteropTypes>
      <HintPath>..\..\..\..\Program Files\Common Files\Intuit\QuickBooks\Interop.QBFC15.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=13.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>packages\Newtonsoft.Json.13.0.1\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="ApproveCompanyFile.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="ApproveCompanyFile.Designer.cs">
      <DependentUpon>ApproveCompanyFile.cs</DependentUpon>
    </Compile>
    <Compile Include="auth.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="auth.Designer.cs">
      <DependentUpon>auth.cs</DependentUpon>
    </Compile>
    <Compile Include="AuthorizationRoles.cs" />
    <Compile Include="AyaNovaLicense.cs" />
    <Compile Include="AyaType.cs" />
    <Compile Include="CopyableMessageBox.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="CopyableMessageBox.Designer.cs">
      <DependentUpon>CopyableMessageBox.cs</DependentUpon>
    </Compile>
    <Compile Include="Integration.cs" />
    <Compile Include="LinkAyaObjectToQBConfirm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="LinkAyaObjectToQBConfirm.Designer.cs">
      <DependentUpon>LinkAyaObjectToQBConfirm.cs</DependentUpon>
    </Compile>
    <Compile Include="MainForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="MainForm.Designer.cs">
      <DependentUpon>MainForm.cs</DependentUpon>
    </Compile>
    <Compile Include="InvoiceableItem.cs" />
    <Compile Include="Map.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Map.Designer.cs">
      <DependentUpon>Map.cs</DependentUpon>
    </Compile>
    <Compile Include="MapSelectQBItem.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="MapSelectQBItem.Designer.cs">
      <DependentUpon>MapSelectQBItem.cs</DependentUpon>
    </Compile>
    <Compile Include="NameIdActiveChargeCostItem.cs" />
    <Compile Include="NameIdActiveItem.cs" />
    <Compile Include="NameIdItem.cs" />
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="QBIIntegrationData.cs" />
    <Compile Include="SetAutoClose.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SetAutoClose.Designer.cs">
      <DependentUpon>SetAutoClose.cs</DependentUpon>
    </Compile>
    <Compile Include="SetInfoOnly.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SetInfoOnly.Designer.cs">
      <DependentUpon>SetInfoOnly.cs</DependentUpon>
    </Compile>
    <Compile Include="SetMemoField.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SetMemoField.Designer.cs">
      <DependentUpon>SetMemoField.cs</DependentUpon>
    </Compile>
    <Compile Include="SetQBChargeAs.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SetQBChargeAs.Designer.cs">
      <DependentUpon>SetQBChargeAs.cs</DependentUpon>
    </Compile>
    <Compile Include="SetQBClass.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SetQBClass.Designer.cs">
      <DependentUpon>SetQBClass.cs</DependentUpon>
    </Compile>
    <Compile Include="SetQBInvoiceTemplate.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SetQBInvoiceTemplate.Designer.cs">
      <DependentUpon>SetQBInvoiceTemplate.cs</DependentUpon>
    </Compile>
    <Compile Include="SetQBTerms.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SetQBTerms.Designer.cs">
      <DependentUpon>SetQBTerms.cs</DependentUpon>
    </Compile>
    <Compile Include="SetToBePrinted.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SetToBePrinted.Designer.cs">
      <DependentUpon>SetToBePrinted.cs</DependentUpon>
    </Compile>
    <Compile Include="SetWOStatus.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SetWOStatus.Designer.cs">
      <DependentUpon>SetWOStatus.cs</DependentUpon>
    </Compile>
    <Compile Include="tfa.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="tfa.Designer.cs">
      <DependentUpon>tfa.cs</DependentUpon>
    </Compile>
    <Compile Include="Timestamp.cs" />
    <Compile Include="UserType.cs" />
    <Compile Include="util.cs" />
    <Compile Include="Waiting.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Waiting.Designer.cs">
      <DependentUpon>Waiting.cs</DependentUpon>
    </Compile>
    <Compile Include="WorkOrderStatus.cs" />
    <EmbeddedResource Include="ApproveCompanyFile.resx">
      <DependentUpon>ApproveCompanyFile.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="auth.resx">
      <DependentUpon>auth.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="CopyableMessageBox.resx">
      <DependentUpon>CopyableMessageBox.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="LinkAyaObjectToQBConfirm.resx">
      <DependentUpon>LinkAyaObjectToQBConfirm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="MainForm.resx">
      <DependentUpon>MainForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Map.resx">
      <DependentUpon>Map.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="MapSelectQBItem.resx">
      <DependentUpon>MapSelectQBItem.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <EmbeddedResource Include="SetAutoClose.resx">
      <DependentUpon>SetAutoClose.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="SetInfoOnly.resx">
      <DependentUpon>SetInfoOnly.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="SetMemoField.resx">
      <DependentUpon>SetMemoField.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="SetQBChargeAs.resx">
      <DependentUpon>SetQBChargeAs.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="SetQBClass.resx">
      <DependentUpon>SetQBClass.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="SetQBInvoiceTemplate.resx">
      <DependentUpon>SetQBInvoiceTemplate.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="SetQBTerms.resx">
      <DependentUpon>SetQBTerms.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="SetToBePrinted.resx">
      <DependentUpon>SetToBePrinted.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="SetWOStatus.resx">
      <DependentUpon>SetWOStatus.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="tfa.resx">
      <DependentUpon>tfa.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Waiting.resx">
      <DependentUpon>Waiting.cs</DependentUpon>
    </EmbeddedResource>
    <None Include="packages.config" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include=".NETFramework,Version=v4.8">
      <Visible>False</Visible>
      <ProductName>Microsoft .NET Framework 4.8 %28x86 and x64%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\user.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\pass.png" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="devinfo.txt" />
    <None Include="Resources\logo.ico" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PreBuildEvent>"C:\data\code\ravenqbi\devutil\TimeStamp\TimeStamp.exe" "$(ProjectDir)Timestamp.cs" "/N:AyaNovaQBI"</PreBuildEvent>
  </PropertyGroup>
</Project>